# Survival Guide

## things to bring

### Camping Equipment
* a tent
* stable tent pegs (best use v-profile ones)
* a sleeping bag
* a mattress and a sleeping pad. Maybe a cushion.
* a sleeping mask if you are sensitive to light.
* a drinking bottle. Drink more water - drinking not enough (water! not mate, not beer!) is the most common DoS-Attack at camps.
* a rescue blanket: One of those silvery blankets you find in first aid kits. They are very good at reflecting sunlight away from your computer monitor, so you'll be able to hack during the day. Most tents let in a *lot* of light and rescue blankets are one of the cheaper ways to fix that.
* blanket to sit on and place your laptop on. You might not want to sit on a dew covered ground in the morning
* a cosy sun chair for hanging out
* chairs and tables

### Other Equipment
* your ticket (a print-out is more resistant to failure ;))
* default meal tools (like knife, fork, spoon, spork!, plate, mug)
* penknife (preferably one of those swiss-made multitool thingies)
* a rope
* many trash bags for trash and water-safe storage.
* (FL, LED) lamps powered by 230V mains, or a lantern. Do NOT bring wax torches! See FAQ
* a flashlight or headlamp
* an FM radio receiver e.g. from your kitchen. (There might be a camp radio station!)
* GSM and/or DECT phones, particularly when you want to volunteer as an Angel
* a fire extinguisher if you own one, or a bucket (to fill with water), or a fire blanket
* an ashtray, if you smoke.
* if you arrive for buildup or stay for teardown, it could be a good idea to bring a game that does not require power and/or network, especially if you travel with children or hackers who get bored fast.
* and please take home ALL the stuff you brought!

### Clothing and Toiletries
* toilet paper and baby-wipes
* your allergy medication and NEEDED drugs. This is in the middle of nature.
* your health insurance service card (Krankenversichertenkarte)/ European Health Insurance Card for residents of other EU states)
* ear plugs - it could get loud out here.
* insect repellents
* sun blocker. SPF 30 is recommended. If you haven't left your dungeon since the last camp use SPF-over-9000.
* a toothbrush, toothpaste and soap.
* shampoo and shower gel
* thongs (Badeschuhe) for the shower
* Do *not* forget your towel! Be a hoopy frood who really knows where their towel is.
* wet weather gear, or you could be trapped in your tent for a whole day.
* appropriate clothing: for warm and sunny, and for cold and rainy weather. It is better to have clothes you won't need than to need clothes you don't have. Although it is very warm during the day, it gets very cool in the evening. Sweaters/hoodies are recommended.
* a swimming-dress, not the Borat one :)
* a hat and sunglasses

### For Computer and Infastructure
* your computer(s) - and basic tools you will need to repair it, including OS Install DVDs/USB-drives
* chargers / power supplies for your laptop, tablets, phones etc
* your own power cord (20m - 50m, see List of available sockets) and multiple plug sockets (ideally with built-in surge protector, only 230V, check below), as much as (or even more than) you need. Think of your neighbors and share electric power to them! The power outlets provided are 230V AC Schuko (Type F, CEE 7/4) [1]
* long ethernet cable. the next Datenklo could be up to 50 meters (160 ft) away
* a bunch of network patch cables
* as many ethernet switches as you might need for your equipment and to share to neighbours. Don't forget the power supply.
* WiFi Equipment for 5 GHz, since 2.4GHz tends to get overcrowded. DO NOT bring your own APs. See Network rules
* maybe a bunch of spare fans - heat and dust tend to kill CPU-/power supply-fans
* a list of your trusted SSL keys (and check them beforehand!). See How To Survive
* a configured ipfw, think about an IDS (just for fun)
* gadgets with all kind of blinky, geeky features as conversation pieces
* books. Also those you no longer need/want. Non-technical preferred. This is supposed to be your vacation, after all. Any eBook-Reader is a good choice too.
* your GPS. This will be great fun to play with and lets you use up-to-date OSM maps of the camping area.

### Electrical equipment safety notes
* Please keep all of your electrical equipment dry and protect it from morning dew
* During the day, make sure that your equipment doesn't overheat
* Especially make sure that none of your power connectors are laying on the ground or can get wet otherwise
* Use only outdoor-rated power cords

Please do check the Power page for more information.

### Things to Leave At Home
**Must**

* Dogs and any other kind of pets (exception: service dogs). Camp is not a very dog friendly area. See FAQ. The reasonable exception here is any pet that can be swiched off and/or can be reprogrammed (Aibo, Furby, ...).
* Your home directory and other data you don't want anyone else to see
* All non CE compliant wireless devices like audio transmitters, WiFi boosters, walkie-talkies, etc. that you bring from outside EU (different frequency range) or buy from AliExpress, Wish etc. They may interfere with critical infrastructure and can also degrade the communication channels we all share.
* A microwave oven. It *may* disrupt wireless networks. A typical tent is not the ideal position to defend yourself against an angry mob of hackers. Also see next point.
* Very power hungry devices (like AirCon, electric grill or oven, electric water cooker, hairdryer, generally anything that creates lots of heat or cold). The power grid is always a problem on the camp. So please think twice if you really need all that luxury. Incandescent lamps have poor efficiency, consider bringing FL or LED lamps instead. See Power

### Checklists

For a detailed checklist, especially for tech events, look at [MacLemon's Checklist](https://github.com/MacLemon/CongressChecklist) and at [Columbia19's Checklist](https://github.com/Columbia19/Camping-Checklist) for camping related stuff.
